com.google.gwt.core.ext.typeinfo

## Class BadTypeArgsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.google.gwt.core.ext.typeinfo.TypeOracleException
      - - com.google.gwt.core.ext.typeinfo.BadTypeArgsException

All Implemented Interfaces:
  java.io.Serializable

    public class BadTypeArgsException
    extends TypeOracleException

Thrown when an invalid type is specified as part of a `gwt.typeArgs` tag within a doc comment.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BadTypeArgsException(java.lang.String message)`
`BadTypeArgsException(java.lang.String message, java.lang.Throwable cause)`
`BadTypeArgsException(java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BadTypeArgsException

    public BadTypeArgsException(java.lang.String message)

#### BadTypeArgsException

    public BadTypeArgsException(java.lang.String message,
                                java.lang.Throwable cause)

#### BadTypeArgsException

    public BadTypeArgsException(java.lang.Throwable cause)